# Generated by Django 2.2.11 on 2020-03-23 19:44

import django.contrib.gis.db.models.fields
from django.db import migrations
from django.contrib.gis.geos import Polygon


def populate_polygon(apps, schema_editor):
    ResourceBase = apps.get_model('base', 'ResourceBase')
    for res in ResourceBase.objects.all():
        bbox = [getattr(res, key, None) for key in ('bbox_x0', 'bbox_y0', 'bbox_x1', 'bbox_y1')]
        if all(bbox):
            res.bbox_polygon = Polygon.from_bbox(bbox)
            res.save()


class Migration(migrations.Migration):

    dependencies = [
        ('base', '0043_auto_20200527_0833'),
    ]

    operations = [
        migrations.AddField(
            model_name='resourcebase',
            name='bbox_polygon',
            field=django.contrib.gis.db.models.fields.PolygonField(null=True, blank=True, srid=4326),
        ),
        migrations.RunPython(populate_polygon, migrations.RunPython.noop),
    ]
